Linux StarBound instance uses wrong version

  • 30 Views
  • Last Post 2 weeks ago
merphle posted this 2 weeks ago

OS Name/Version: Ubuntu 14.04 LTS

Product Name/Version: AMP StarBoundModule

Problem Description: StarBound client cannot connect to Linux StarBound server, due to client/server version mismatch.

Steps to reproduce:

  1. Install/Update StarBound to latest version available in Steam.
  2. Server starts up as version 1.2.3b (Protocol 729)
  3. Latest StarBound client cannot connect, as it's v1.3.2 (Protocol 743).

Actions taken to resolve so far:

  1. There is a separate StarBound Dedicated Server AppID in Steam: 533830.
  2. Using this AppID I was able to download manually via steamcmd.sh and start the server (cd .../533830/linux && starbound_server)
  3. This gives the correct latest version 1.3.2 (Protocol 743), and allows my client to connect.
  4. I tried editing steamcmdplugin/apps.json to set the AppID to 533830, but the update & start button kept throwing a Core error immediately.

Incidentally, this AppID is probably better for use on both Linux and Windows, as it's a much smaller download (server files only, no client data). Hopefully at some point the vendor will mark the server package as eligible for anonymous-download, but at the moment, it still requires a valid license for the game to download.

Order By: Standard | Newest | Votes
Mike posted this 2 weeks ago

Righto, you can fix this yourself in the meanwhile by editing SteamApps.json in the steamcmdplugin directory.

merphle posted this 2 weeks ago

Thanks for the prompt reply, Mike. As I mentioned in action step #4, I did try editing steamcmdplugin/apps.json, and it caused the update and start buttons to error immediately. :)

Changed

"AppID": 211820,

To

"AppID": 533830,

I tried changing ClientAppID to 533830 as well, but got the same error.

Null Reference
Object reference not set to an instance of an object
Thrown by the 'Core' plugin while performing the 'UpdateApplication' method.
Related Link: Get help for this issue

The AMP_Log log just ends with "Updating the application.".

Is there something I've missed?

Mike posted this 2 weeks ago

AMP is gonna need an update to accommodate this.

Close